%define upstream_name	 DBI-Shell
%define upstream_version 11.95

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Interactive command shell for the DBI 
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/T/TL/TLOWERY/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl-IO-Tee
BuildRequires:  perl-DBI
BuildArch:	noarch


%description
The DBI::Shell module (and dbish command, if installed) provide a simple but
effective command line interface for the Perl DBI module.

DBI::Shell is very new, very experimental and very subject to change. Your
mileage will vary. Interfaces will change with each release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README ToDo
find lib -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes README ToDo
%{_bindir}/dbish
%{_mandir}/*/*
%{perl_vendorlib}/DBI

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 11.950.0-9pclos2017
- rebuild against updates

